Package: pyside / 1.2.2+source1-3

cmake_selectDefaultPython.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
From b18278bb3b2503e69b8e14fc43f49c455ba0b2f4 Mon Sep 17 00:00:00 2001
From: Didier Raboud <odyx@debian.org>
Date: Thu, 8 Oct 2015 10:59:25 -0700
Subject: Allows a different choice for the default python version.

Origin: vendor
Last-Update: 2011-02-14
Patch-Name: cmake_selectDefaultPython.patch
---
 libpyside/PySideConfig.cmake.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/libpyside/PySideConfig.cmake.in b/libpyside/PySideConfig.cmake.in
index b7f45e8..58847d9 100644
--- a/libpyside/PySideConfig.cmake.in
+++ b/libpyside/PySideConfig.cmake.in
@@ -1,5 +1,5 @@
 if (NOT PYTHON_BASENAME)
-    message(STATUS "Using default python: @SHIBOKEN_PYTHON_SUFFIX@")
-    SET(PYTHON_BASENAME @SHIBOKEN_PYTHON_SUFFIX@)
+    message(STATUS "Using default python: @DEFAULT_PYTHON_BASENAME@")
+    SET(PYTHON_BASENAME @DEFAULT_PYTHON_BASENAME@)
 endif()
 include(@LIB_INSTALL_DIR@/cmake/PySide-@BINDING_API_VERSION@/PySideConfig${PYTHON_BASENAME}.cmake)